<template>
  <div class="editor-component">
    <div class="editor-content" v-html="configContent.html" />
  </div>
</template>
<script>
export default {
  props: {
    config: {
      type: Object,
      default() {
        return {}
      }
    }
  },
  computed: {
    configContent() {
      return this.config.content
    }
  }
}
</script>
<style lang="less" scoped>
.editor-component {
	.editor-content{
		white-space: pre-wrap;
    overflow: hidden;
		text-overflow: ellipsis;
		word-break: break-all;
		clear: both;
	}
}
</style>
